<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ltgk.video.mapper.VideoIdentificationHistoryMapper">
 
    <resultMap type="com.ltgk.video.domain.entity.VideoIdentificationHistory" id="VideoIdentificationHistoryMap">
            <result property="id" column="id"/>
            <result property="identificationType" column="identification_type"/>
            <result property="boatName" column="boat_name"/>
            <result property="videoName" column="video_name"/>
            <result property="portName" column="port_name"/>
            <result property="entryOut" column="entry_out"/>
            <result property="pictureUrl" column="picture_url"/>
            <result property="boatCodePicture" column="boat_code_picture"/>
            <result property="videoUrl" column="video_url"/>
            <result property="takeTime" column="take_time"/>
            <result property="hkResult" column="hk_result"/>
            <result property="sysResult" column="sys_result"/>
            <result property="sysBoatName" column="sys_boat_name"/>
            <result property="sysUpdateBoatName" column="sys_update_boat_name"/>
            <result property="delFlag" column="del_flag"/>
            <result property="areaCode" column="area_code"/>
            <result property="areaName" column="area_name"/>
            <result property="createBy" column="create_by"/>
            <result property="createAt" column="create_at"/>
            <result property="updateBy" column="update_by"/>
            <result property="updateAt" column="update_at"/>
            <result property="remark" column="remark"/>
    </resultMap>
</mapper>

